Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.utils
Class ChartPeer

    java.lang.Object
      |
      +--com.macromedia.generator.utils.ChartPeer

public class ChartPeer
extends java.lang.Object

Constructor Summary
`ChartPeer()`

Method Summary
`(package private) static void` | `()`
`static int` | `addHorizontalLabelScript(int i, int j, int k)`
`static int` | `addStackValueScript(int i, int j, int k, int l)`
`static int` | `addValueScript(int i, int j, int k)`
`static int` | `computeChartSize(int i)`
`static int` | `drawScatterLines(int i, boolean flag)`
`static float` | `getChartMax(int i)`
`static float` | `getChartMin(int i)`
`static float` | `getMajorInterval(int i)`
`static int` | `New()`
`static int` | `process(int i)`
`static int` | `processLines(int i)`
`static int` | `processPie(int i)`
`static int` | `processStock(int i, int j)`
`static int` | `pushDataSet(int i)`
`static int` | `Release(int i)`
`static int` | `set2DData(int i, int j, float f, float f1, int k)`
`static int` | `setAnimateFrameCount(int i, int j, int k)`
`static int` | `setAreaFill(int i, boolean flag)`
`static int` | `setAutoScale(int i, boolean flag)`
`static int` | `setBorder(int i, boolean flag)`
`static int` | `setChartDataSize(int i, float f, float f1)`
`static int` | `setChartLineThickness(int i, int j)`
`static int` | `setChartRect(int i, int j)`
`static int` | `setClip(int i, int j, int k)`
`static int` | `setDataColor(int i, int j, int k)`
`static int` | `setDataCount(int i, int j)`
`static int` | `setDataValue(int i, int j, float f)`
`static int` | `setDataValue(int i, int j, float f, int k)`
`static int` | `setDepth3D(int i, float f)`
`static int` | `setDivisions(int i, int j, int k)`
`static int` | `setEffect3D(int i, boolean flag)`
`static int` | `setFrameCount(int i, int j)`
`static int` | `setGoTo(int i, int j, int k, java.lang.String s)`
`static int` | `setGoToLabel(int i, int j, java.lang.String s, java.lang.String s1)`
`static int` | `setGridLines(int i, int j)`
`static int` | `setHorizontalLabelDisplay(int i, int j, int k, float f)`
`static int` | `setLabel(int i, float f, int j)`
`static int` | `setLabels(int i, boolean flag)`
`static int` | `setLineStyle(int i, int j, int k, int l, int i1)`
`static int` | `setMaxDataEntries(int i, int j)`
`static int` | `setMultiDimenDataCount(int i, int j, int k)`
`static int` | `setMultiDimenValue(int i, int j, float[] af, int k)`
`static int` | `setOrigin(int i, float f)`
`static int` | `setPieLabelPosition(int i, int j)`
`static int` | `setSpacing(int i, int j, int k)`
`static int` | `setStackColor(int i, int j, int k)`
`static int` | `setStackCount(int i, int j, int k)`
`static int` | `setStackGoTo(int i, int j, int k, int l, java.lang.String s)`
`static int` | `setStackGoToLabel(int i, int j, int k, java.lang.String s, java.lang.String s1)`
`static int` | `setStackURL(int i, int j, int k, java.lang.String s, java.lang.String s1)`
`static int` | `setStackValue(int i, int j, int k, float f)`
`static int` | `setURL(int i, int j, java.lang.String s, java.lang.String s1)`
`static int` | `setUserLimits(int i, float f, boolean flag, float f1, boolean flag1)`
`static int` | `setUserXLimits(int i, float f, boolean flag, float f1, boolean flag1)`
`static int` | `setValueDisplay(int i, int j, int k, float f)`
`static int` | `setValuePlacement(int i, int j)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartPeer

    public ChartPeer()

Method Detail

### New

    public static int New()

### Release

    public static int Release(int i)

### addHorizontalLabelScript

    public static int addHorizontalLabelScript(int i,
                                               int j,
                                               int k)

### addStackValueScript

    public static int addStackValueScript(int i,
                                          int j,
                                          int k,
                                          int l)

### addValueScript

    public static int addValueScript(int i,
                                     int j,
                                     int k)

### computeChartSize

    public static int computeChartSize(int i)

### drawScatterLines

    public static int drawScatterLines(int i,
                                       boolean flag)

### getChartMax

    public static float getChartMax(int i)

### getChartMin

    public static float getChartMin(int i)

### getMajorInterval

    public static float getMajorInterval(int i)

### process

    public static int process(int i)

### processLines

    public static int processLines(int i)

### processPie

    public static int processPie(int i)

### processStock

    public static int processStock(int i,
                                   int j)

### pushDataSet

    public static int pushDataSet(int i)

### set2DData

    public static int set2DData(int i,
                                int j,
                                float f,
                                float f1,
                                int k)

### setAnimateFrameCount

    public static int setAnimateFrameCount(int i,
                                           int j,
                                           int k)

### setAreaFill

    public static int setAreaFill(int i,
                                  boolean flag)

### setAutoScale

    public static int setAutoScale(int i,
                                   boolean flag)

### setBorder

    public static int setBorder(int i,
                                boolean flag)

### setChartDataSize

    public static int setChartDataSize(int i,
                                       float f,
                                       float f1)

### setChartLineThickness

    public static int setChartLineThickness(int i,
                                            int j)

### setChartRect

    public static int setChartRect(int i,
                                   int j)

### setClip

    public static int setClip(int i,
                              int j,
                              int k)

### setDataColor

    public static int setDataColor(int i,
                                   int j,
                                   int k)

### setDataCount

    public static int setDataCount(int i,
                                   int j)

### setDataValue

    public static int setDataValue(int i,
                                   int j,
                                   float f)

### setDataValue

    public static int setDataValue(int i,
                                   int j,
                                   float f,
                                   int k)

### setDepth3D

    public static int setDepth3D(int i,
                                 float f)

### setDivisions

    public static int setDivisions(int i,
                                   int j,
                                   int k)

### setEffect3D

    public static int setEffect3D(int i,
                                  boolean flag)

### setFrameCount

    public static int setFrameCount(int i,
                                    int j)

### setGoTo

    public static int setGoTo(int i,
                              int j,
                              int k,
                              java.lang.String s)

### setGoToLabel

    public static int setGoToLabel(int i,
                                   int j,
                                   java.lang.String s,
                                   java.lang.String s1)

### setGridLines

    public static int setGridLines(int i,
                                   int j)

### setHorizontalLabelDisplay

    public static int setHorizontalLabelDisplay(int i,
                                                int j,
                                                int k,
                                                float f)

### setLabel

    public static int setLabel(int i,
                               float f,
                               int j)

### setLabels

    public static int setLabels(int i,
                                boolean flag)

### setLineStyle

    public static int setLineStyle(int i,
                                   int j,
                                   int k,
                                   int l,
                                   int i1)

### setMaxDataEntries

    public static int setMaxDataEntries(int i,
                                        int j)

### setMultiDimenDataCount

    public static int setMultiDimenDataCount(int i,
                                             int j,
                                             int k)

### setMultiDimenValue

    public static int setMultiDimenValue(int i,
                                         int j,
                                         float[] af,
                                         int k)

### setOrigin

    public static int setOrigin(int i,
                                float f)

### setPieLabelPosition

    public static int setPieLabelPosition(int i,
                                          int j)

### setSpacing

    public static int setSpacing(int i,
                                 int j,
                                 int k)

### setStackColor

    public static int setStackColor(int i,
                                    int j,
                                    int k)

### setStackCount

    public static int setStackCount(int i,
                                    int j,
                                    int k)

### setStackGoTo

    public static int setStackGoTo(int i,
                                   int j,
                                   int k,
                                   int l,
                                   java.lang.String s)

### setStackGoToLabel

    public static int setStackGoToLabel(int i,
                                        int j,
                                        int k,
                                        java.lang.String s,
                                        java.lang.String s1)

### setStackURL

    public static int setStackURL(int i,
                                  int j,
                                  int k,
                                  java.lang.String s,
                                  java.lang.String s1)

### setStackValue

    public static int setStackValue(int i,
                                    int j,
                                    int k,
                                    float f)

### setURL

    public static int setURL(int i,
                             int j,
                             java.lang.String s,
                             java.lang.String s1)

### setUserLimits

    public static int setUserLimits(int i,
                                    float f,
                                    boolean flag,
                                    float f1,
                                    boolean flag1)

### setUserXLimits

    public static int setUserXLimits(int i,
                                     float f,
                                     boolean flag,
                                     float f1,
                                     boolean flag1)

### setValueDisplay

    public static int setValueDisplay(int i,
                                      int j,
                                      int k,
                                      float f)

### setValuePlacement

    public static int setValuePlacement(int i,
                                        int j)

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD